function main

%% "Tafel wischen"
clear all;
close all;
clc;

%%Parameter definieren
p.C = 7.77; %Kapazität [F]
p.L = 3.33; %Induktivität [H]

%%Zeitspanne
tspan = [0 100]; %[s]

%%Anfangsbedingungen
AB(1) = 2; %Startladung [C]
AB(2) = 0; %Startstromstärke [A]

%%Aufruf des ODE-Solvers (Funktion,Zeit,ABN,ope-options,Parameter)
options = odeset();
[t x] = ode45 (@dgl, tspan, AB, options, p);

%%Ergebnis aus t und x Plotten
figure('Name','Ladung und Stromstärke des Kondensators'); %Neues Diagramm-Blatt öffnen
grid on;

subplot(2,1,1); %Unterdiagramm 1 zeichnen und formatieren
plot(t,x(:,1),'b','LineWidth',3);

title('Ladung des Kondensators');
xlabel('Zeit t [s]');
ylabel('Ladung Q [C]');

subplot(2,1,2); %Unterdiagramm 2 zeichnen und formatieren
plot(t,x(:,2),'r','LineWidth',3);

title('Stromstärke des Kondensators');
xlabel('Zeit t [s]');
ylabel('Stromstärke I [A]');

end